|  | Home | Documentation | saml1__AttributeDesignatorType Struct Reference updated Thu Sep 21 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AttributeDesignatorType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AttributeDesignatorType is a complexType. More...

`#include <saml1.h>`

## Public Attributes
char * | AttributeName
| Attribute "AttributeName" of XSD type xs:string. More...
char * | AttributeNamespace
| Attribute "AttributeNamespace" of XSD type xs:anyURI. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AttributeDesignatorType is a complexType.

struct saml1__AttributeDesignatorType operations:

- saml1__AttributeDesignatorType* soap_new_saml1__AttributeDesignatorType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__AttributeDesignatorType(struct soap*, saml1__AttributeDesignatorType*) default initialize members
- int soap_read_saml1__AttributeDesignatorType(struct soap*, saml1__AttributeDesignatorType*) deserialize from a source
- int soap_write_saml1__AttributeDesignatorType(struct soap*, saml1__AttributeDesignatorType*) serialize to a sink
- saml1__AttributeDesignatorType* soap_dup_saml1__AttributeDesignatorType(struct soap*, saml1__AttributeDesignatorType* dst, saml1__AttributeDesignatorType <em>src) returns deep copy of saml1__AttributeDesignatorType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__AttributeDesignatorType(saml1__AttributeDesignatorType) deep deletes saml1__AttributeDesignatorType data members, use only on dst after soap_dup_saml1__AttributeDesignatorType(NULL, saml1__AttributeDesignatorType *dst, saml1__AttributeDesignatorType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml1__AttributeDesignatorType::AttributeName

Attribute "AttributeName" of XSD type xs:string.

Required attribute.

char* saml1__AttributeDesignatorType::AttributeNamespace

Attribute "AttributeNamespace" of XSD type xs:anyURI.

Required attribute.

The documentation for this struct was generated from the following file:

- saml1.h